Skip to main content
POST
/
api
/
user
/
profile
Create/onboard profile
curl --request POST \
  --url https://app.d-sports.org/api/user/profile \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "handle": "<string>",
  "profileUrl": "<string>",
  "location": "<string>",
  "favoriteSport": "<string>",
  "favoriteTeam": "<string>",
  "favoritePlayer": "<string>"
}
'

Authorizations

Authorization
string
header
required

Clerk session token. Use Authorization: Bearer .

Body

application/json
name
string
handle
string
profileUrl
string
location
string
favoriteSport
string
favoriteTeam
string
favoritePlayer
string

Response

{ success: true, data: { user, updatedProfile, leaderboardEntry, pointsHistory, questSync } }